---
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:      '&IDC_BEMProcess;'
    name:      BEM Process
    index:     16
    customTagName: 'bemProcess'
    registerForTemplate: yes
    translations:
    - relationship: '&IDR_Class__has_title__Translation;'
      values:
      - languageInstanceId: '&IDI_Language_English;'
        value: 'BEM Process'
    attributes:
    - instance: '&IDA_Name;'
      customTagName: 'name'
    relationships:
    - instance: '&IDR_BEM_Process__uses_loop__Executable_returning_Instance_Set;'
      customTagName: 'loopExecutableReturningInstanceSet'

  - bemProcess: '&IDBEM_1;'
    name: '1'

  - relationship: '&IDR_BEM_Process__uses_loop__Executable_returning_Instance_Set;'
    index: 44
    sourceClassId: '&IDC_BEMProcess;'
    type: 'uses loop'
    destinationClassId: '&IDC_ExecutableReturningInstanceSet;'
    siblingRelationshipId: '&IDR_Executable_returning_Instance_Set__loop_used_by__BEM_Process;'
    singular: yes

  - relationship: '&IDR_Executable_returning_Instance_Set__loop_used_by__BEM_Process;'
    index: 45
    sourceClassId: '&IDC_ExecutableReturningInstanceSet;'
    type: 'loop used by'
    destinationClassId: '&IDC_BEMProcess;'
    siblingRelationshipId: '&IDR_BEM_Process__uses_loop__Executable_returning_Instance_Set;'
    singular: no
    

  - relationship: '&IDR_Element_Content__built_from__BEM_Process;'
    index: 105
    sourceClassId: '&IDC_ElementContent;'
    type: 'built from'
    destinationClassId: '&IDC_BEMProcess;'
    siblingRelationshipId: '&IDR_BEM_Process__builds__Element_Content;'
    singular: yes

  - relationship: '&IDR_BEM_Process__builds__Element_Content;'
    index: 106
    sourceClassId: '&IDC_BEMProcess;'
    type: 'builds'
    destinationClassId: '&IDC_ElementContent;'
    siblingRelationshipId: '&IDR_Element_Content__built_from__BEM_Process;'
    singular: no
    